Bug 135506 - battstat-applet run with 100% CPU if 2 batts present
battstat-applet run with 100% CPU if 2 batts present
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-13 01:28 EDT by Alram Lechner
Modified: 2015-01-04 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alram Lechner 2004-10-13 01:28:54 EDT
Description of problem:
i have a acer travelmate 800 series notebook (803LCi). if i am
exchanging the cd-r device with a secondary battery and booting der
machine the gnome battstat-applet runs with 100% CPU usage.

Version-Release number of selected component (if applicable):
gnome applets: 2.6.2.1-1

How reproducible:
always

Steps to Reproduce:
1. put in the 2nd batt
2. turn the machine on
3. log on
  
Actual results:
100% CPU usage

Expected results:
no CPU usage by battstat-applet

Additional info:
-
Comment 1 Alram Lechner 2004-11-02 15:57:17 EST
now i have installed FC3 test 3 on a blank HDD and updateted to
gnome-applets-2.8.0-5.

the problem ist the same. except now the kacpid and the
battstat-applet split the cpu usage (approx. 70% batstat applet, 30%
kacpid)...

Comment 2 Alram Lechner 2004-11-03 02:02:39 EST
now i have upgraded to kernel-2.6.9-1.649.

the problem ist the same. top output:

top - 08:03:51 up 7 min,  2 users,  load average: 1.86, 1.11, 0.53
Tasks:  81 total,   3 running,  78 sleeping,   0 stopped,   0 zombie
Cpu(s):  4.6% us, 92.9% sy,  0.0% ni,  0.0% id,  0.0% wa,  2.5% hi, 
0.0% si
Mem:    515304k total,   275288k used,   240016k free,    14432k buffers
Swap:  2096472k total,        0k used,  2096472k free,   151648k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 3423 alram     25   0 21656 8456  17m R 65.1  1.6   1:47.36
battstat-applet
    5 root       5 -10     0    0    0 S 27.1  0.0   0:41.22 kacpid
 3425 alram     16   0 35788  12m  20m S  2.8  2.4   0:01.19
gnome-terminal
 3154 root      15   0 87792  17m  72m S  1.2  3.5   0:05.51 X
 3446 alram     16   0  3592  992 1648 R  0.8  0.2   0:00.45 top
 3415 alram     15   0 21604 8756  18m S  0.4  1.7   0:00.12 clock-applet
    1 root      16   0  3388  564 1396 S  0.0  0.1   0:00.97 init
    2 root      34  19     0    0    0 S  0.0  0.0   0:00.00 ksoftirqd/0
Comment 3 Mark McLoughlin 2005-01-05 08:36:08 EST
What do you see if you run "acpi_listen" from the command line?
Comment 4 Alram Lechner 2005-01-06 06:54:20 EST
first i start acpi_listen - no output happened.

after inovke der battstat-applet, there is a never ending output. the
following lines repeats until killing der battstat-applet:

[...]
battery BAT2 00000080 00000001
battery BAT1 00000080 00000001
battery BAT2 00000080 00000001
battery BAT1 00000080 00000001
battery BAT2 00000080 00000001
battery BAT1 00000080 00000001
battery BAT2 00000080 00000001
battery BAT1 00000080 00000001
[...]
Comment 5 Mark McLoughlin 2005-01-06 07:08:51 EST
Hmm, sounds like reading the /proc files is causing ACPI events to be
triggered or something. Not sure how this could be a battery applet
bug or even an acpid bug. Moving to the kernel
Comment 6 Alram Lechner 2005-01-06 07:52:38 EST
for further information, here ist my active kernel version:

Linux version 2.6.9-1.724_FC3 (bhcompile@bugs.build.redhat.com) (gcc
version 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)) #1 Sun Jan 2 15:43:49
EST 2005
Comment 7 Jeff Pearson 2005-04-09 22:17:15 EDT
Also happens for me.  Battstat applet runs fine with one battery, but thrashes
the CPU with two.  Does not happen with XFCE 4.2's battery monitor.

kernel: 2.6.11-1.1233_FC4
gnome-applets-2.10.1-1
Comment 8 Dave Jones 2005-07-15 15:33:21 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 9 Alram Lechner 2005-07-20 14:50:54 EDT
hi,

i don't use fedora core any more. but i will test fedora core 4 with the second
disk, but this may take a while....
Comment 10 Alram Lechner 2005-08-31 05:02:17 EDT
i installed FC 4 from DISC and the problem is the same. after installing alles
updates via RHN (31.8.2005), the problem changed. now no CPU consumption
aivailable, bute the battstattapplet does not correct. it says not battery
aivailable (if the notebook are on the power cable) oder battery state not
aivailable (if the notebook runs with battery).
this result is always the same (with one or two batteries installed).

the kernel recogizes the batteries correct: (from var/log/messages)
[...]
Aug 31 10:33:20 asterix kernel: ACPI: Battery Slot [BAT1] (battery present)
Aug 31 10:33:20 asterix kernel: ACPI: Battery Slot [BAT2] (battery present)
[...]
but later in the log the following error happened:
Aug 31 10:45:13 asterix kernel:     ACPI-0145: *** Error: Invalid owner_id: 00
Aug 31 10:45:13 asterix kernel:     ACPI-0105: *** Error: Could not allocate new
owner_id (32 max), AE_OWNER_ID_LIMIT
Aug 31 10:45:13 asterix kernel:     ACPI-0509: *** Error: Method execution
failed [\_SB_.PCI0.LPC0.EC0_._Q20] (Node c1ae2e80), AE_OWNER_ID_LIMIT
Aug 31 10:45:13 asterix kernel:     ACPI-0105: *** Error: Could not allocate new
owner_id (32 max), AE_OWNER_ID_LIMIT
Aug 31 10:45:13 asterix kernel:     ACPI-0509: *** Error: Method execution
failed [\_SB_.PCI0.LPC0.EC0_._Q20] (Node c1ae2e80), AE_OWNER_ID_LIMIT
Aug 31 10:45:13 asterix kernel:     ACPI-0105: *** Error: Could not allocate new
owner_id (32 max), AE_OWNER_ID_LIMIT
Aug 31 10:45:13 asterix kernel:     ACPI-0509: *** Error: Method execution
failed [\_SB_.PCI0.LPC0.EC0_._Q20] (Node c1ae2e80), AE_OWNER_ID_LIMIT
Aug 31 10:45:13 asterix kernel:     ACPI-0105: *** Error: Could not allocate new
owner_id (32 max), AE_OWNER_ID_LIMIT
Aug 31 10:45:13 asterix kernel:     ACPI-0509: *** Error: Method execution
failed [\_SB_.PCI0.LPC0.EC0_._Q20] (Node c1ae2e80), AE_OWNER_ID_LIMIT
Aug 31 10:45:14 asterix kernel:     ACPI-0105: *** Error: Could not allocate new
owner_id (32 max), AE_OWNER_ID_LIMIT
Aug 31 10:45:14 asterix kernel:     ACPI-0509: *** Error: Method execution
failed [\_SB_.PCI0.LPC0.EC0_._Q20] (Node c1ae2e80), AE_OWNER_ID_LIMIT
Aug 31 10:45:14 asterix kernel:     ACPI-0105: *** Error: Could not allocate new
owner_id (32 max), AE_OWNER_ID_LIMIT
Aug 31 10:45:14 asterix kernel:     ACPI-0509: *** Error: Method execution
failed [\_SB_.PCI0.LPC0.EC0_._Q20] (Node c1ae2e80), AE_OWNER_ID_LIMIT
Aug 31 10:45:14 asterix kernel:     ACPI-0105: *** Error: Could not allocate new
owner_id (32 max), AE_OWNER_ID_LIMIT
Aug 31 10:45:14 asterix kernel:     ACPI-0509: *** Error: Method execution
failed [\_SB_.PCI0.LPC0.EC0_._Q20] (Node c1ae2e80), AE_OWNER_ID_LIMIT
Aug 31 10:45:14 asterix kernel:     ACPI-0105: *** Error: Could not allocate new
owner_id (32 max), AE_OWNER_ID_LIMIT
Aug 31 10:45:14 asterix kernel:     ACPI-0509: *** Error: Method execution
failed [\_SB_.BAT1.UPBI] (Node c1ae38e0), AE_OWNER_ID_LIMIT
Aug 31 10:45:14 asterix kernel:     ACPI-0509: *** Error: Method execution
failed [\_SB_.BAT1._BIF] (Node c1ae3920), AE_OWNER_ID_LIMIT
Aug 31 10:45:14 asterix kernel:     ACPI-0105: *** Error: Could not allocate new
owner_id (32 max), AE_OWNER_ID_LIMIT
Aug 31 10:45:16 asterix last message repeated 139 times
Aug 31 10:45:16 asterix kernel:     ACPI-0509: *** Error: Method execution
failed [\_SB_.PCI0.LPC0.EC0_._Q20] (Node c1ae2e80), AE_OWNER_ID_LIMIT
Aug 31 10:45:16 asterix kernel:     ACPI-0105: *** Error: Could not allocate new
owner_id (32 max), AE_OWNER_ID_LIMIT
Aug 31 10:45:16 asterix kernel:     ACPI-0509: *** Error: Method execution
failed [\_SB_.PCI0.LPC0.EC0_._Q20] (Node c1ae2e80), AE_OWNER_ID_LIMIT
Aug 31 10:45:16 asterix kernel:     ACPI-0105: *** Error: Could not allocate new
owner_id (32 max), AE_OWNER_ID_LIMIT
Aug 31 10:45:16 asterix kernel:     ACPI-0509: *** Error: Method execution
failed [\_SB_.PCI0.LPC0.EC0_._Q20] (Node c1ae2e80), AE_OWNER_ID_LIMIT
Aug 31 10:45:16 asterix kernel:     ACPI-0105: *** Error: Could not allocate new
owner_id (32 max), AE_OWNER_ID_LIMIT
Comment 11 Dave Jones 2006-01-16 17:15:07 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 12 Dave Jones 2006-02-03 01:35:12 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 13 John Thacker 2006-05-04 09:04:30 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.